메인 콘텐츠로 건너뛰기
PUT
/
v1
/
server
/
webhooks
/
{id}
웹훅 수정
curl --request PUT \
  --url https://sdk-api.playcamp.io/v1/server/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "isActive": true,
  "retryCount": 5,
  "timeoutMs": 15500
}
'
import requests

url = "https://sdk-api.playcamp.io/v1/server/webhooks/{id}"

payload = {
"url": "<string>",
"isActive": True,
"retryCount": 5,
"timeoutMs": 15500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', isActive: true, retryCount: 5, timeoutMs: 15500})
};

fetch('https://sdk-api.playcamp.io/v1/server/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "url": "<string>",
    "isActive": true,
    "retryCount": 123,
    "timeoutMs": 123,
    "createdAt": "2023-11-07T05:31:56Z"
  }
}
{
"status": 404,
"error": "Not Found",
"message": "Resource not found",
"code": "NOT_FOUND"
}

인증

Authorization
string
header
필수

Server API Key (format: {keyId}:{secret})

경로 매개변수

id
integer
필수

본문

application/json
url
string<uri>
isActive
boolean
retryCount
integer
필수 범위: 0 <= x <= 10
timeoutMs
integer
필수 범위: 1000 <= x <= 30000

응답

성공

data
object
필수

웹훅 설정 (secret은 생성 시에만 반환)